Get Task
curl --request GET \
--url https://api.decodahealth.com/task/{task_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/task/{task_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"creatorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"opportunityId": "<string>",
"assigneeId": "<string>",
"teamId": "<string>",
"locationId": "<string>",
"targetNoteId": "<string>",
"targetFaxId": "<string>",
"targetDocumentId": "<string>",
"completedById": "<string>",
"completedDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"assignee": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"carePlan": {
"carePlanId": "<string>",
"stepNumber": 123,
"carePlanName": "<string>",
"status": "<string>"
},
"comments": [
{
"id": "<string>",
"taskId": "<string>",
"content": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"authorId": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
}
],
"subscribers": [
{
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"teamId": "<string>",
"provider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"team": {
"id": "<string>",
"name": "<string>"
}
}
],
"linkedCalls": [
{
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Get Task
Get a task by ID with its comments.
GET
/
task
/
{task_id}
Get Task
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Available options:
OPEN, IN_PROGRESS, COMPLETED, CANCELLED Available options:
URGENT, HIGH, NORMAL, LOW Minimal patient reference for task display (id and name only).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimal team reference for task display.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimal care-plan step reference for task/event display.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
